{$I dbpOptions.Inc}
unit dbpRegP;

interface

procedure Register;

implementation
{.$DEFINE ENTERPRISE}

uses Classes, DsgnIntf, DbpSet, DbpEdtr, DbpFinder, DbpBdeSet
  {$IFDEF ENTERPRISE}
    {$IFNDEF VER90}, DbpClientSet {$ENDIF}
    {$IFDEF V5_MORE}, DbpAdoSet {$ENDIF}
  {$ENDIF};

procedure Register;
begin
  RegisterComponents('Database Pro', [TDBFilterPanel]);
  RegisterComponents('Database Pro', [TDBFindPanel]);
  RegisterComponents('Database Pro', [TDBFilterDialog]);
  RegisterComponents('Database Pro', [TDBFindDialog]);
  RegisterComponents('Database Pro', [TDPFinder]);
  RegisterComponents('DP Addition', [TDPBdeFindPanel]);
  RegisterComponents('DP Addition', [TDPBdeFindDialog]);
  {$IFDEF ENTERPRISE}
    {$IFNDEF VER90}
      RegisterComponents('DP Addition', [TDPClientFindPanel]);
      RegisterComponents('DP Addition', [TDPClientFindDialog]);
    {$ENDIF}  
    {$IFDEF V5_MORE}
      RegisterComponents('DP Addition', [TDPAdoFindPanel]);
      RegisterComponents('DP Addition', [TDPAdoFindDialog]);
    {$ENDIF}
  {$ENDIF}

  RegisterPropertyEditor(TypeInfo(TFieldsList),TFieldsSet,'Fields',TFieldsProperty);
  RegisterPropertyEditor(TypeInfo(TFieldsList),TPanelFieldsSet,'Fields',TPanelFieldsProperty);
  RegisterPropertyEditor(TypeInfo(string),TFieldRecord,'FieldName',TRecordFieldNameProperty);
  RegisterComponentEditor (TFieldsSet, TFieldsEditor);
  RegisterComponentEditor (TPanelFieldsSet, TPanelFieldsEditor);
// {$IFDEF V4_MORE}
    RegisterPropertyEditor(TypeInfo(integer),TPanelFieldsSet,'LocaleID',TLanguageNamesProperty);
    RegisterPropertyEditor(TypeInfo(integer),TFieldsSet,'LocaleID',TLanguageNamesProperty);
    RegisterPropertyEditor(TypeInfo(integer),TDPFinder,'LocaleID',TLanguageNamesProperty);
//  {$ENDIF}
  {$IFDEF VER90}
    RegisterPropertyEditor(TypeInfo(string),TFieldRecordDesigner,'FieldName',TRecordFieldNameProperty);
  {$ENDIF}
  {$IFDEF OLD_NAME}
    RegisterComponents('Database Pro', [TFilterDialog]);
  {$ENDIF}
end;

end.
